### Method

# Clutter Timeline set_progress_mode

#### Declaration [src]

    void
    clutter_timeline_set_progress_mode (
      ClutterTimeline* timeline,
      ClutterAnimationMode mode
    )

#### Description [src]

Sets the progress function using a value from the `ClutterAnimationMode` enumeration. The `mode` cannot be `CLUTTER_CUSTOM_MODE` or bigger than `CLUTTER_ANIMATION_LAST`.

Sets property | `Clutter.Timeline:progress-mode`

#### Parameters

`mode`

  Type: `ClutterAnimationMode`

  The progress mode, as a `ClutterAnimationMode`.